package com.itechnica.svg.draw {
	import flash.geom.Point;
	import flash.display.Graphics;	

	public class CurveCommand extends DrawingCommand implements IDrawable {

		private var controlPoint:Point;
		private var endPoint:Point;

		public function CurveCommand(control:Point, end:Point) {
			initInstance(control, end);
		}
		
		private function initInstance(control:Point, end:Point):void {
			controlPoint = control;
			endPoint = end;
		}
		
		public function get control ():Point {
			return controlPoint;
		}
		public function set control (value:Point):void {
			controlPoint = value;
		}
		
		public function get end ():Point {
			return endPoint;
		}
		public function set end (value:Point):void {
			endPoint = value;
		}
		
		public function draw(target:Graphics):void {
			target.curveTo(controlPoint.x, controlPoint.y, end.x, end.y);
		}
	}
}
